# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_with tests

%define	section		free
%define	cvsversion	20041111

Name:		isorelax
Summary:	Public interfaces useful for applications to support RELAX Core
Url:		http://iso-relax.sourceforge.net/
Version:	0.1
Release:	0.%{cvsversion}.6%{?dist}
Epoch:		0
License:	MIT-style
Group:		Development/Libraries/Java
BuildArch:	noarch
Source0:	%{name}.%{cvsversion}.zip
Source1:	%{name}-build.xml
Source2:	isorelax-maven-project.xml
Source3:	isorelax-maven-project.xsd
Patch0:		isorelax-jdk15.patch

BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:	ant
%if %with tests
BuildRequires:	xercesjarv
%endif
BuildRequires:	xerces-j2
BuildRequires:	xml-commons-apis
Requires:	xerces-j2
Requires:	xml-commons-apis
Obsoletes:	isorelax-bootstrap < %{epoch}:%{version}-%{release}
Provides:	isorelax-bootstrap = %{epoch}:%{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
The ISO RELAX project is started to host the public interfaces 
useful for applications to support RELAX Core. But nowadays 
some of the stuff we have is schema language neutral.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -c -n %{name}-%{version}
mkdir src
(cd src; unzip -q ../src.zip)
rm -f src.zip
cp %{SOURCE1} build.xml
mkdir test
cp %{SOURCE2} test
cp %{SOURCE3} test
chmod -R go=u-w *
find . -name "*.jar" | xargs %{__rm}
rm -r src/jp/gr/xml/relax/swift
%patch0 -p0

%build
export CLASSPATH=$(build-classpath \
xerces-j2 \
xml-commons-apis \
)
%if %with tests
CLASSPATH=$CLASSPATH:$(build-classpath xercesjarv)
ln -s $(find-jar xercesjarv) xercesjarv.jar
%endif
ant -Dbuild.sysclasspath=only release
%if %with tests
CLASSPATH=`pwd`/isorelax.jar:$CLASSPATH
ant -Dbuild.sysclasspath=first ant-task-test
%endif

%install
%{__rm} -rf %{buildroot}

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc COPYING.txt
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Fri Jun 27 2008 David Walluck <dwalluck@redhat.com> 0:0.1-0.20041111.6
- version Obsoletes/Provides
- fix file permissions

* Fri Jun 27 2008 David Walluck <dwalluck@redhat.com> 0:0.1-0.20041111.5
- correctly unpack sources
- better handling of tests

* Fri Jun 27 2008 David Walluck <dwalluck@redhat.com> 0:0.1-0.20041111.4
- disable test by default as the jarv task is failing
- remove javadoc scriptlets
- remove build root in %%install

* Fri Jun 20 2008 Fernando Nasser <fnasser@redhat.com> 0:0.1-0.20041111.3
- Rebuild for JPP 5.0

* Wed Jul 04 2007 Fernando Nasser <fnasser@redhat.com> 0:0.1-0.20041111.2jpp.ep1.2
- Rebuild with tests

* Mon Mar 12 2007 Fernando Nasser <fnasser@redhat.com> 0:0.1-0.20041111.2jpp.ep1.1
- Patch for building with JDK 1.5
- Bootstrap: build with no tests (need xercesjarv, still not available)

* Thu Mar 30 2006 Fernando Nasser <fnasser@redhat.com> 0:0.1-0.20041111.2jpp_1rh
- Merge with upstream for upgrade

* Wed Mar 22 2006 Ralph Apel <r.apel at r-apel.de> 0:0.1-0.20041111.2jpp
- By default omit tests requiring xercesjarv
- Add postun for javadoc
- Drop useless macros for name, version, etc.

* Tue Aug 23 2005 Ralph Apel <r.apel at r-apel.de> 0:0.1-0.20041111.1jpp
- Upgrade to 20041111

* Mon Apr 25 2005 Fernando Nasser <fnasser@redhat.com> 0:0.1-0.20030108.3jpp_1rh
- First Red Hat build

* Fri Apr 22 2005 Fernando Nasser <fnasser@redhat.com> 0:0.1-0.20030108.3jpp
- Rebuild with standard version scheme

* Wed Aug 25 2004 Ralph Apel <r.apel at r-apel.de> 0:0.1-0.20030108.2jpp
- Build with ant-1.6.2

* Tue Jul 06 2004 Ralph Apel <r.apel at r-apel.de> 0:0.1-0.20030108.1jpp
- First build from sources into free section
- Use xercesjarv instead of swift as verifier impl
